# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:41 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Factory
Summary:	Base class for dynamic factory classes
Summary(pl):	Klasa bazowa do dynamicznych klas przemysowych
Name:		perl-%{pdir}-%{pnam}
Version:	1.00
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is intended to provide a base class for dynamic factory
classes.

%description -l pl
Ten modu ma za zadanie dostarczy klas bazow do dynamicznych klas
przemysowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached on <cvs_login>@pld.org.pl

$Log: perl-Class-Factory.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:06  qboosh
- pl description(?)

Revision 1.1  2003/02/12 11:40:20  mis
- new
